org.python.core

## Class codecs.CodecState

- java.lang.Object
- - org.python.core.codecs.CodecState

- Enclosing class:
    codecs

      public static class codecs.CodecState
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `BUILTIN_ERROR_HANDLERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodecState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDefaultEncoding()`
    `PyObject` | `lookup_error(java.lang.String handlerName)`
    `PyTuple` | `lookup(java.lang.String encoding)`
    `void` | `register_error(java.lang.String name, PyObject error)`
    `void` | `register(PyObject search_function)`
    `void` | `setDefaultEncoding(java.lang.String encoding)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BUILTIN_ERROR_HANDLERS

          public static final java.lang.String[] BUILTIN_ERROR_HANDLERS

  - ### Constructor Detail

    - #### CodecState

          public CodecState()

  - ### Method Detail

    - #### getDefaultEncoding

          public java.lang.String getDefaultEncoding()

    - #### setDefaultEncoding

          public void setDefaultEncoding(java.lang.String encoding)

    - #### register_error

          public void register_error(java.lang.String name,
                                     PyObject error)

    - #### register

          public void register(PyObject search_function)

    - #### lookup

          public PyTuple lookup(java.lang.String encoding)

    - #### lookup_error

          public PyObject lookup_error(java.lang.String handlerName)

Jython homepage